Bug 235484 - [gnome-about-me] attemps to reset gecos, asks for password, when only changing face
Summary: [gnome-about-me] attemps to reset gecos, asks for password, when only changin...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center   
(Show other bugs)
Version: 11
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: David Lawrence
URL:
Whiteboard: bzcl34nup
Keywords: Reopened
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2007-04-06 05:29 UTC by Bill Nottingham
Modified: 2014-03-17 03:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-25 19:37:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (111.67 KB, image/png)
2007-04-17 15:23 UTC, Bill Nottingham
no flags Details

Description Bill Nottingham 2007-04-06 05:29:30 UTC
Description of problem:

gnome-about-me attempts to change more than what's requested, causing it to ask
for the user's password when changing things that don't require extra privileges.

Version-Release number of selected component (if applicable):

control-center-2.18.0-7.fc7

How reproducible:

Every time

Steps to Reproduce:
1. run gnome-about-me
2. pick a different face
3. close
  
Actual results:

prints on stdout:
calling /usr/bin/userinfo -f Unknown -x

asks for password

Expected results:

Just changes the face and exits.

Comment 1 Matthias Clasen 2007-04-17 14:53:40 UTC
I've removed the debug spew. But I don't know why your fullname would be
"Unknown". That means glib failed to parse your gecos field in /etc/passwd.

Can you show me the contents of your gecos field ?



Comment 2 Bill Nottingham 2007-04-17 15:23:04 UTC
Created attachment 152819 [details]
screenshot

Screenshot of what it's trying to do.

In this screenshot, I start 'gnome-about-me', and immediately hit 'close'. It
then tries to change something in my gecos, even though it read the name fine.
My entry is simply:

notting:x:2166:2167:Bill Nottingham:/home/notting:/bin/bash

Comment 3 Matthias Clasen 2007-04-19 16:55:01 UTC
I think there is several problems here.

One is that e-d-s and /etc/passwd are fighting about who is the primary source
for the gecos fields. Not much we can do about that.

Another is that the capplet does not let you change the fullname in e-d-s, only
in gecos, so they get out of sync. We should fix the capplet to set the fullname
in e-d-s, too. After all, evo can do it.

Comment 4 Bug Zapper 2008-04-03 23:58:18 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 5 Bug Zapper 2008-05-07 01:26:10 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Comment 6 Bastien Nocera 2008-05-07 11:53:18 UTC
Probably still a problem, reopening.

Comment 7 Bug Zapper 2008-05-14 02:44:12 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2009-06-09 22:32:01 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Christopher Beland 2010-02-25 19:18:55 UTC
When I follow the steps to reproduce, I am not being asked for my password nor do I see any output in my terminal, using control-center-2.28.1-18.fc12.i686.  Should this be closed CURRENTRELEASE?

Comment 10 Bill Nottingham 2010-02-25 19:37:14 UTC
Yes, this works now.


Note You need to log in before you can comment on or make changes to this bug.